void GetDescription(char d[])
{
  strcpy(d,"STANT's Menu 11 icons");
}

int GetPriority()
{
  return 255;
}


int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}

void DeleteBlock(char block[])
{
   int val, i, num;
   val = GetValueAfter(block);
   num = GetLineNum(block);
   RemoveLineByNum(num);
   for (i = 0; i < val; i++) RemoveLineByNum(num);
}
int IsResMore176()
{
    int DigClockX;  
    DigClockX = GetValueAfter("1 574 ");
    return (DigClockX > 144);
}

void PatchSKI()
{
   if (IsResMore176())
   {
      log("This script only for 176x220 phones.");
      return;
   }
   
   DeleteBlock("0 42 ");
   DeleteBlock("0 43 ");
   DeleteBlock("0 61 ");
   DeleteBlock("0 62 ");
   DeleteBlock("0 63 ");
   DeleteBlock("0 64 ");

   AddLine("0 42 11");
   AddLine("1 12 28 54 70");
   AddLine("1 67 49 109 91");
   AddLine("1 122 28 164 70");
   AddLine("1 12 70 54 112");
   AddLine("1 67 91 109 133");
   AddLine("1 122 70 164 112");
   AddLine("1 12 112 54 154");
   AddLine("1 67 133 109 175");
   AddLine("1 122 112 164 154");
   AddLine("1 12 154 54 196");
   AddLine("1 122 154 164 196");
   AddLine("0 43 11");
   AddLine("1 12 28 54 70");
   AddLine("1 67 49 109 91");
   AddLine("1 122 28 164 70");
   AddLine("1 12 70 54 112");
   AddLine("1 67 91 109 133");
   AddLine("1 122 70 164 112");
   AddLine("1 12 112 54 154");
   AddLine("1 67 133 109 175");
   AddLine("1 122 112 164 154");
   AddLine("1 12 154 54 196");
   AddLine("1 122 154 164 196");
   AddLine("0 61 11");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 8");
   AddLine("2 9");
   AddLine("2 10");
   AddLine("2 0");
   AddLine("0 62 11");
   AddLine("2 10");
   AddLine("2 0");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 8");
   AddLine("2 9");
   AddLine("0 63 11");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 7");
   AddLine("2 8");
   AddLine("2 9");
   AddLine("2 2");
   AddLine("2 10");
   AddLine("2 1");
   AddLine("2 0");
   AddLine("0 64 11");
   AddLine("2 10");
   AddLine("2 9");
   AddLine("2 7");
   AddLine("2 0");
   AddLine("2 1");
   AddLine("2 2");
   AddLine("2 3");
   AddLine("2 4");
   AddLine("2 5");
   AddLine("2 6");
   AddLine("2 8");
};

